### org.jfree.layouting.input.style.selectors

# Class CSSConditionalSelector

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.AbstractSelector`
  - - `org.jfree.layouting.input.style.selectors.CSSConditionalSelector`

Implemented Interfaces:
  ConditionalSelector, CSSSelector, Selector, Serializable

`public class CSSConditionalSelector`
`extends AbstractSelector`
`implements ConditionalSelector`

Creation-Date: 30.11.2005, 16:43:45

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSConditionalSelector(SimpleSelector simpleSelector, Condition condition)`

  ## Method Summary

  `protected SelectorWeight`

  `createWeight()`

  `Condition`

  `getCondition()`
    Returns the condition to be applied on the simple selector.

  `short`

  `getSelectorType()`
    An integer indicating the type of `Selector`

  `SimpleSelector`

  `getSimpleSelector()`
    Returns the simple selector.

  ### Methods inherited from class org.jfree.layouting.input.style.selectors.AbstractSelector

  `createWeight`, `getWeight`

## Constructor Details

### CSSConditionalSelector

    public CSSConditionalSelector(SimpleSelector simpleSelector,
                                  Condition condition)

## Method Details

### createWeight

    protected SelectorWeight createWeight()

> Overrides:
>   createWeight in interface AbstractSelector

### getCondition

    public Condition getCondition()

> Returns the condition to be applied on the simple selector.

### getSelectorType

    public short getSelectorType()

> An integer indicating the type of `Selector`

### getSimpleSelector

    public SimpleSelector getSimpleSelector()

> Returns the simple selector.

> The simple selector can't be a `ConditionalSelector`.